package com.gyee.wisdom.common.data.timeseries;

/**
 * @author songwb<songwb@aliyun.com>
 */
public class DoubleTsData extends BasicTsData {

    private final double actualValue;

    public DoubleTsData(long ts, short status, double actualValue) {
        super(ts, status);
        this.actualValue = actualValue;
    }


    public double getDoubleValue() {
        return actualValue;
    }

//    public String getValue() {
//        return Double.toString(actualValue);
//    }

    @Override
    public String toString() {
        return "DoubleTsData{ts='" + this.getTs() +
                "', status='" + this.getStatus() +
                "', value='" + this.getDoubleValue() +
                "'}";
    }

}

